PaymentLinkCreateRequest
Request parameters for creating a new payment link.
- amountType: integerFormat: int64required
Amount charged in smallest currency unit
- currencyType: string · CurrencyCoderequired
ISO 4217 currency codes (alpha3) supported for payments
- afterType: object · AfterCompletion
_completion After completion behavior for the Checkout Session.
- billingType: string · BillingAddressCollectionenum
_address _collection Specify whether Checkout should collect the customer's billing address. Defaults to
auto.values- auto
Checkout will only collect the billing address when necessary.
- required
Checkout will always collect the customer's billing address.
- clientType: string | null
_customer _id An identifier of the customer in the merchant's system. Used to associate the Checkout and corresponding payments created from the Checkout. Required for SEPA payments - this will ensure that your customer is given a virtual iban that is unique to them and will enable Paypercut to reconcile the payment.
- clientType: string | null
_reference _id A free-form reference from the merchant's system. Typically used to identify the checkout in the merchant's system. This can be a customer ID, a cart ID, or similar, and can be used to reconcile the session with your internal systems.
- descriptionType: string | null
A free-form reference to describe the checkout
- expiresType: stringFormat: date-time
_at Expiry time for the payment link. After this time, the payment link will no longer be available for payment. Defaults to 24h after creation.
- lineType: array object[] | null · LineItem[]
_items Details about the products sold or services provided
- livemodeType: boolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - modeType: string · CheckoutSessionModeenum
The mode of the Checkout Session.
values- payment
Standard one-time payment.
- setup
Set up a payment method for future use.
- subscription
Coming soon. Not available yet.
- bnpl
Buy now, pay later.
- onType: string
_behalf _of max length:100The account on behalf of which to charge.
- paymentType: string | null
_method _configuration Reference to the payment method configuration for the types that customers can use.
- redirectType: string | null
_url max length:1000URL to which the customer should be sent after the payment. Any payment results will use this URL.
- restrictionsType: object · PaymentLinkRestrictions
Settings that restrict the usage of a payment link.

